devguard
Devices

Get a paginated list of devices and their compliance status.

GET
/devices/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

organizationId*string
Length1 <= length
limit?number
Range5 <= value
Default50
page?number
Range1 <= value
Default1
filterByName?string
filterByPlatform?array<>
filterByStatus?array<>
filterByArchived?string
Default"active"

Value in

  • "active"
  • "archived"
sortColumn?string
sortDirection?string

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/devices/?organizationId=string"
{  "items": [    {      "id": "string",      "shortId": -9007199254740991,      "organizationId": "string",      "createdAt": "string",      "updatedAt": "string",      "archivedAt": "string",      "name": "string",      "hostname": "string",      "platform": "MACOS",      "osVersion": "string",      "serialNumber": "string",      "hardwareModel": "string",      "source": "AGENT",      "deviceIdentifier": "string",      "memberId": "string",      "agentApiKeyId": "string",      "diskEncryptionEnabled": true,      "antivirusEnabled": true,      "firewallEnabled": true,      "passwordPolicySet": true,      "screenLockEnabled": true,      "osUpToDate": true,      "isCompliant": true,      "consentedAt": "string",      "disclosureVersion": "string",      "checkDetails": null,      "appPolicyResults": null,      "agentVersion": "string",      "lastCheckIn": "string",      "installedAt": "string",      "status": "COMPLIANT",      "failingCheckCount": -9007199254740991,      "agentOutdated": true,      "controlLinks": [        {          "id": "string",          "controlCoverage": {            "id": "string",            "controlId": "string",            "control": {              "id": "string",              "identifier": "string",              "name": "string"            }          }        }      ]    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?